Subject: draft-ietf-krb-wg-kerberos-clarifications-03.txt glossary

From: "Joel N. Weber II" <[email-masked]>
Date: Tue, 10 Jun 2003 20:16:02 -0400

Section 1.6 of the clarifications document provides this definition:

Session key
      A temporary encryption key used between two principals, with a
      lifetime limited to the duration of a single login "session".

Communication with Sam Hartman has made it clear to me that a session
key is actually somewhat more specific than that; the definition
currently in the glossary of clarifications would seem to suggest that
a subsession key might be an example of a session key, which seems to
not be the intent of the authors.  Since the KDC always chooses the
session key, the definition should say that.

(Text later in the document seems to clearly imply that a session key
is a key generated by the KDC.  However, I think clearly understanding
the terminology would be easier if it were more clearly described
early in the document, especially since it is long enough that reading
all of it is a challenge.)